com.genesyslab.wfm7.API.service.config761

## Class CfgRotationWeek

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgRotationWeek

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationWeek
      extends java.lang.Object
      implements java.io.Serializable

  A Week Pattern in a Rotating Pattern (CfgRotation)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `wmName` Name of Week Pattern
    `private int` | `wmPositionInSchedule` Position in Schedule
    `private int` | `wmRotatingSchWeekId` Rotating Pattern ID
    `private CfgRotationWeekDay[]` | `wmWeekDays` An array of Day Patterns (CfgRotationWeekDay) for every day of the week Index 0 - Mon.
    `private boolean` | `wmWeeklyMinutesEnabled` Weekly Minutes Enabled/Disabled
    `private int` | `wmWeeklyMinutesMax` Maximum Weekly Minutes
    `private int` | `wmWeeklyMinutesMin` Minimum Weekly Minutes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationWeek()`
    `CfgRotationWeek(int wmRotatingSchWeekId, java.lang.String wmName, int wmPositionInSchedule, CfgRotationWeekDay[] wmWeekDays)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgRotationWeek.
    `int` | `getWmPositionInSchedule()` Gets the wmPositionInSchedule value for this CfgRotationWeek.
    `int` | `getWmRotatingSchWeekId()` Gets the wmRotatingSchWeekId value for this CfgRotationWeek.
    `CfgRotationWeekDay[]` | `getWmWeekDays()` Gets the wmWeekDays value for this CfgRotationWeek.
    `int` | `hashCode()`
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgRotationWeek.
    `void` | `setWmPositionInSchedule(int wmPositionInSchedule)` Sets the wmPositionInSchedule value for this CfgRotationWeek.
    `void` | `setWmRotatingSchWeekId(int wmRotatingSchWeekId)` Sets the wmRotatingSchWeekId value for this CfgRotationWeek.
    `void` | `setWmWeekDays(CfgRotationWeekDay[] wmWeekDays)` Sets the wmWeekDays value for this CfgRotationWeek.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmRotatingSchWeekId

          private int wmRotatingSchWeekId

      Rotating Pattern ID

    - #### wmName

          private java.lang.String wmName

      Name of Week Pattern

    - #### wmPositionInSchedule

          private int wmPositionInSchedule

      Position in Schedule

    - #### wmWeekDays

          private CfgRotationWeekDay[] wmWeekDays

      An array of Day Patterns (CfgRotationWeekDay) for every day of the week Index 0 - Mon. 1 - Tue, 2 - Wed, 3 - Thu, 4 - Fri, 5 - Sat, 6 - Sun

    - #### wmWeeklyMinutesEnabled

          private boolean wmWeeklyMinutesEnabled

      Weekly Minutes Enabled/Disabled

    - #### wmWeeklyMinutesMin

          private int wmWeeklyMinutesMin

      Minimum Weekly Minutes

    - #### wmWeeklyMinutesMax

          private int wmWeeklyMinutesMax

      Maximum Weekly Minutes

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgRotationWeek

          public CfgRotationWeek()

    - #### CfgRotationWeek

          public CfgRotationWeek(int wmRotatingSchWeekId,
                         java.lang.String wmName,
                         int wmPositionInSchedule,
                         CfgRotationWeekDay[] wmWeekDays)

  - ### Method Detail

    - #### getWmRotatingSchWeekId

          public int getWmRotatingSchWeekId()

      Gets the wmRotatingSchWeekId value for this CfgRotationWeek.
      Returns:
        wmRotatingSchWeekId

    - #### setWmRotatingSchWeekId

          public void setWmRotatingSchWeekId(int wmRotatingSchWeekId)

      Sets the wmRotatingSchWeekId value for this CfgRotationWeek.
      Parameters:
        `wmRotatingSchWeekId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgRotationWeek.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgRotationWeek.
      Parameters:
        `wmName` -

    - #### getWmPositionInSchedule

          public int getWmPositionInSchedule()

      Gets the wmPositionInSchedule value for this CfgRotationWeek.
      Returns:
        wmPositionInSchedule

    - #### setWmPositionInSchedule

          public void setWmPositionInSchedule(int wmPositionInSchedule)

      Sets the wmPositionInSchedule value for this CfgRotationWeek.
      Parameters:
        `wmPositionInSchedule` -

    - #### getWmWeekDays

          public CfgRotationWeekDay[] getWmWeekDays()

      Gets the wmWeekDays value for this CfgRotationWeek.
      Returns:
        wmWeekDays

    - #### setWmWeekDays

          public void setWmWeekDays(CfgRotationWeekDay[] wmWeekDays)

      Sets the wmWeekDays value for this CfgRotationWeek.
      Parameters:
        `wmWeekDays` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.